Subject: SDP Issues

From: Madhu Babu <[email-masked]>
Date: Thu, 11 Nov 1999 10:38:45 +0530

Hello Chip
     I have some queries regarding local and remote tx descriptors
1) Can a MGC fully-specify the parameters like IP address, Port number etc. in
SDP?
    If MGC can fully-specify the parameters, how does MG(Virtual MG) deals with
two requests from different MGCs
    informs to use the same Port number
     If MG in response to MGC request specifies these parameters might be one
solution, in which case
   all the parameters need to be unspecified by MGC. Correct me if iam wrong.
2) In the Annexe C Tags for media stream properties, The IP address and Port
number field doesn't have
     the ANY option that enable MG to assign a value of its choice?
3) The RFC 2327 (for SDP) grammar doesn't allow to specify ANY in any of the
fields of the media descriptors
     Do we need to customise RFC 2327 (for SDP) for H.248s requirement?

Regards
B.Madhubabu
Gateway Team
Hughes Software Systems

---

From: Chip Sharp <[email-masked]>
Date: Tue, 16 Nov 1999 13:05:35 -0500

I'll take a stab at this, but I don't claim that my answers should be
definitive (or necessarily correct).

>1) Can a MGC fully-specify the parameters like IP address, Port number etc. in

The MGC can specify the parameters you list in SDP.  I'm not sure about
etc.  For example, in the following SDP fragment:
         v=0
         c=IN IP4 128.96.41.1
         m=audio 1296 RTP/AVP 0

You would use IP address 128.96.41.1 port 1296 for RTP. RRC2327 contains
the definition of SDP.

>     informs to use the same Port number

I assume you mean also using the same IP address.  In this case there could
be a problem.

>    all the parameters need to be unspecified by MGC. Correct me if iam wrong.

This is one method.  Another would be to segment the address/port
space.  The MGC doesn't necessarily have to leave all parameters
unspecified.  The MGC can specify preferences in the LocalControlDescriptor.

>      the ANY option that enable MG to assign a value of its choice?

Annex C only applies to binary encoding.

>fields of the media descriptors

The SDP fully describes how each side is willing to receive info.  I'm not
sure what meaning "ANY" would have in this context.  If you have a
specific, please let us know.

>      Do we need to customise RFC 2327 (for SDP) for H.248s requirement?

It is possible that SDP may need to be modified for some applications
(e.g., ATM).  These should be identified and proposed to the
group.  Coordination with mmusic or sip might be necessary.

>Hughes Software Systems

Support NetAid!  http://www.netaid.org
--------------------------------------------------
Chip Sharp                 Consulting Engineering
Cisco Systems              Telco Bio-region
Reality - Love it or Leave it.
--------------------------------------------------